WebSphereSessionTuningParams (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereSessionTuningParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereSessionTuningParams

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereSessionTuningParams

extends LogicalElement

Represents WebSphere Session Tuning Params defined for a web container

Naming Rules:
  0="container" 1="application"
Persistable:
  true
Table Name:
  WASTNPRM

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getAllowOverflow()`
`WebSphereJ2EEApplication` | `getApplication()`
`WebSphereWebContainer` | `getContainer()`
`int` | `getInvalidationTimeout()`
`int` | `getMaxInMemSessionCount()`
`boolean` | `hasAllowOverflow()`
`boolean` | `hasApplication()`
`boolean` | `hasContainer()`
`boolean` | `hasInvalidationTimeout()`
`boolean` | `hasMaxInMemSessionCount()`
`void` | `setAllowOverflow(boolean allowOverflow)`
`void` | `setApplication(WebSphereJ2EEApplication app)`
`void` | `setContainer(WebSphereWebContainer container)`
`void` | `setInvalidationTimeout(int timeout)`
`void` | `setMaxInMemSessionCount(int sessCount)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getContainer

    WebSphereWebContainer getContainer()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setContainer

    void setContainer(WebSphereWebContainer container)

### hasContainer

    boolean hasContainer()

### getApplication

    WebSphereJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### setApplication

    void setApplication(WebSphereJ2EEApplication app)

### hasApplication

    boolean hasApplication()

### getMaxInMemSessionCount

    int getMaxInMemSessionCount()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxInMemSessionCount

    void setMaxInMemSessionCount(int sessCount)

### hasMaxInMemSessionCount

    boolean hasMaxInMemSessionCount()

### getInvalidationTimeout

    int getInvalidationTimeout()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInvalidationTimeout

    void setInvalidationTimeout(int timeout)

### hasInvalidationTimeout

    boolean hasInvalidationTimeout()

### getAllowOverflow

    boolean getAllowOverflow()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAllowOverflow

    void setAllowOverflow(boolean allowOverflow)

### hasAllowOverflow

    boolean hasAllowOverflow()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD